#ifndef __pypickle_h_
#define __pypickle_h_

#include <boost/python/class_builder.hpp>
namespace python = boost::python;


namespace boost { namespace python {    
    ref getattr(PyObject* o, const std::string& attr_name); 
    ref getattr(const ref& r, const std::string& attr_name);    
}}

void check_args(const python::tuple& args,
		const python::dictionary& keywords, int narg);

void set_dict(const python::tuple& args, const python::dictionary&
	      keywords, int nstates);

float get_float(python::ref r);
int get_int(python::ref r);
long get_long(python::ref r);
const char* get_string(python::ref r);


#endif
