#ifndef _pylist_h_
#define _pylist_h_

#include <boost/python/objects.hpp>
class List;

typedef boost::python::list PyList;

template<class T> void list2array(const PyList& l, T* array);
template<class T> void array2list(const T* array, PyList& l);

template <class T>
class Item {
public:
    Item(T v = 0) {
	val = v;
    }
    
    Item(const Item& other) {
	val = other.val;
    }

    T val;
};

typedef Item<float> Float;

class String {
public:
    String(const char* s = "") {
	val = s;
    }
    String(const String& other) {
	val = other.val;
    }
    const char* val;
};


#endif
