#ifndef _py_util_h_
#define _py_util_h_

#include "PyList.h"

// int readsock(int sock,char *data,int len);
// void swapint(char *d,int n);
// void swapshort(char *d,int n);

unsigned long py_resolv(const char *host = 0);
const char* py_DFdir();
const char* py_EMDIR();
void py_LOG(int ref, const char* file, int mode, const char* text);
int  py_LOGbegin(PyList argv, int ppid = 0);
void py_LOGerror(int ref, int err, const char *text);

void py_appinit(PyList argv);

float py_interpolate(float xl, int n, PyList x_list, PyList y_list);

//float py_trilin(float p1, float p2, float p3, float p4, float p5, float
//		p6, float p7, float p8, float t, float u, float v);

void py_roteulertb(Float alt, Float az, Float phi, float dx, float dy);


void py_save_data(PyList x_list, PyList y_list, int n, const char* fsp);
void py_save_data(float x0, float dx, PyList y_list, int n, const char* fsp);

void py_lsqfit(int n, PyList dx_list, PyList dy_list, Float m, Float b,
	       int ign0 = 1);

void py_error(const char *msg, int pri);
void py_error(int pri, const char *msg);

void  py_addHTMLSection(const char *sourcefile, FILE *out, const char *secid);
const char* py_memmem(const char *haystack, int hsize, const char *needle, int nsize);
void  py_appusage(const char *argv0);
int  py_run(const char *s);

int py_round(float x);

#endif

