#ifndef LSPlotInsp_included
#define LSPlotInsp_included

#include "LSPlotInspData.h"
#include "Inspector.h"
#include "Plot.h"
#include "LSPlot.h"

class LSPlotInsp : public LSPlotInspData, public Inspector<Plot>
{
    Q_OBJECT

public:

    LSPlotInsp(QWidget *parent = NULL,const char *name = NULL );

    virtual ~LSPlotInsp();
	virtual void refresh();

    protected slots:

    virtual void setLS(int);
    virtual void setSym(int);
    virtual void setVec(int);
    virtual void lineTog(bool);
    virtual void symTog(bool);
    virtual void setCol();
    virtual void setSSz(int);
    virtual void setCMode(int);
    virtual void setLW(int);
};
#endif // LSPlotInsp_included
